%define oldname rngom
Epoch: 0
Group: Development/Java
# BEGIN SourceDeps(oneline):
BuildRequires: rpm-build-java
# END SourceDeps(oneline)
BuildRequires: /proc
BuildRequires: jpackage-generic-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: rngom201103
Version: 201103
Release: alt4_0.18.20120119svnjpp8
Summary: Java library for parsing RELAX NG grammars
License: MIT
URL: https://java.net/projects/rngom

# svn export -r 70 https://svn.java.net/svn/rngom~svn/trunk/rngom rngom-201103
# find rngom-201103/ -name '*.class' -delete
# find rngom-201103/ -name '*.jar' -delete
# tar czf rngom-201103.tar.gz rngom-201103
Source0: %{oldname}-%{version}.tar.gz
Patch0: %{oldname}-%{version}-pom.patch

BuildRequires:  maven-local
BuildRequires:  mvn(com.sun.msv.datatype.xsd:xsdlib)
BuildRequires:  mvn(javax.xml.stream:stax-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-clean-plugin)
BuildRequires:  mvn(org.codehaus.mojo:javacc-maven-plugin)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires:  mvn(relaxngDatatype:relaxngDatatype:20020414)
BuildRequires:  mvn(xmlunit:xmlunit)

BuildArch: noarch
Source44: import.info

%description
RNGOM is an open-source Java library for parsing RELAX NG grammars.

In particular, RNGOM can:
* parse the XML syntax
* parse the compact syntax
* check all the semantic restrictions as specified in the specification
* parse RELAX NG into application-defined data structures
* build a default data structure based around the binarized simple syntax or
  another data structure that preserves more of the parsed information
* parse foreign elements/attributes in a schema
* parse comments in a schema

%package javadoc
Group: Development/Java
Summary: Javadoc for %{oldname}
BuildArch: noarch

%description javadoc
This package contains javadoc for %{oldname}.

%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p1

%mvn_compat_version : 20100718 %{version}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc --no-dereference licenceheader.txt

%files javadoc -f .mfiles-javadoc
%doc --no-dereference licenceheader.txt

%changelog
* Tue Jun 08 2021 Igor Vlasenko <viy@altlinux.org> 0:201103-alt4_0.18.20120119svnjpp8
- compat build

* Tue Jun 08 2021 Igor Vlasenko <viy@altlinux.org> 0:201103-alt3_0.18.20120119svnjpp8
- build with compat relaxngDatatype

* Sun May 26 2019 Igor Vlasenko <viy@altlinux.ru> 0:201103-alt2_0.18.20120119svnjpp8
- new version

* Thu Apr 19 2018 Igor Vlasenko <viy@altlinux.ru> 0:201103-alt2_0.16.20120119svnjpp8
- java update

* Thu Nov 09 2017 Igor Vlasenko <viy@altlinux.ru> 0:201103-alt2_0.15.20120119svnjpp8
- fc27 update

* Sun Oct 22 2017 Igor Vlasenko <viy@altlinux.ru> 0:201103-alt2_0.14.20120119svnjpp8
- new jpp release

* Tue Nov 22 2016 Igor Vlasenko <viy@altlinux.ru> 0:201103-alt2_0.13.20120119svnjpp8
- new fc release

* Tue Feb 02 2016 Igor Vlasenko <viy@altlinux.ru> 0:201103-alt2_0.12.20120119svnjpp8
- new version

* Mon Sep 08 2014 Igor Vlasenko <viy@altlinux.ru> 0:201103-alt2_0.8.20120119svnjpp7
- new release

* Mon Jul 28 2014 Igor Vlasenko <viy@altlinux.ru> 0:201103-alt2_0.7.20120119svnjpp7
- new release

* Mon Jul 14 2014 Igor Vlasenko <viy@altlinux.ru> 0:201103-alt2_0.5.20120119svnjpp7
- NMU rebuild to move poms and fragments

* Thu Sep 06 2012 Igor Vlasenko <viy@altlinux.ru> 0:201103-alt1_0.5.20120119svnjpp7
- new version

* Wed May 12 2010 Igor Vlasenko <viy@altlinux.ru> 0:0.1-alt3_0.20061207.1jpp5
- fixes for java6 support

* Mon Jan 05 2009 Igor Vlasenko <viy@altlinux.ru> 0:0.1-alt2_0.20061207.1jpp5
- fixed docdir ownership

* Mon Sep 29 2008 Igor Vlasenko <viy@altlinux.ru> 0:0.1-alt1_0.20061207.1jpp5
- converted from JPackage by jppimport script

